#!/usr/bin/perl
# Enable a bunch of printers at once

require './lpadmin-lib.pl';
&ReadParse();
&error_setup($text{'enable_err'});
@d = split(/\0/, $in{'d'});
@d || &error($text{'enable_enone'});

# Enable the printers
foreach $d (@d) {
	$access{'enable'} && &can_edit_printer($d) ||
		&error($text{'save_eedit'});
	$prn = &get_printer($d);
	# enable or disable
	local $enable  = &has_command("cupsenable")  || &has_command("enable");
	local $disable = &has_command("cupsdisable") || &has_command("disable");
	local $accept  = &has_command("cupsaccept")  || &has_command("accept");
	local $reject  = &has_command("cupsreject")  || &has_command("reject");

	local $esc = quotemeta($prn->{'name'});
	if ($prn->{'enabled'}) {
		$cmd = "$reject $esc ; $disable $esc ;";
	} else {
		$cmd = "$reject $esc ; $disable $esc ; $enable $esc ; $accept $esc ;";
	}
	$out = &backquote_logged("$cmd 2>&1");

}
&system_logged("$config{'apply_cmd'} >/dev/null 2>&1 </dev/null")

if ($config{'apply_cmd'});

&webmin_log("enable", "printers", scalar(@d));

&redirect("");


